gnutls_compression_get_name(3)

NAME
gnutls_compression_get_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_compression_get_name(gnutls_compression_method_t algorithm);

ARGUMENTS

gnutls_compression_method_t algorithm
    is a Compression algorithm

DESCRIPTION
Convert a gnutls_compression_method_t value to a string.

RETURNS
a pointer to a string that contains the name of the specified compression algorithm, or NULL.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.